Package org.apache.sling.distribution.transport

# Interface DistributionTransportSecret

@ConsumerType public interface DistributionTransportSecret

The secret to be transported for authenticating transport layer connecting two instances.

Secrets can take different forms, like e.g. username and password, tokens, public keys, etc. and are meant to be used by transport implementations used by distribution agents.

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`asCredentialsMap()`
Get the secret as a `Map` of credentials, this can contain, for example, entries holding information about username and password for HTTP authentication.

## Method Details

### asCredentialsMap

@Nullable Map<String,String> asCredentialsMap()
Get the secret as a `Map` of credentials, this can contain, for example, entries holding information about username and password for HTTP authentication.

Returns:
  the credentials as a `Map`, or `null` if `secret` cannot be represented in terms of a set of key -> value entries